.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the ColorRect.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_ColorRect:

ColorRect
=========

**Inherits:** :ref:`Control<class_control>` **<** :ref:`CanvasItem<class_canvasitem>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Colored rect for canvas.

Member Variables
----------------

  .. _class_ColorRect_color:

- :ref:`Color<class_color>` **color** - The color to fill the ``ColorRect``.

::

    $ColorRect.color = Color(1, 0, 0, 1) # Set ColorRect node's color to red


Description
-----------

An object that is represented on the canvas as a rect with color. :ref:`Color<class_color>` is used to set or get color info for the rect.

